Bug 1316996 - (CVE-2016-3137) CVE-2016-3137 kernel: Crash on invalid USB device descriptors (cypress_m8 driver)
CVE-2016-3137 kernel: Crash on invalid USB device descriptors (cypress_m8 dri...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160309,reported=2...
: Security
Depends On: 1283368 1317010
Blocks: 1317020
  Show dependency treegraph
 
Reported: 2016-03-11 11:38 EST by Adam Mariš
Modified: 2016-05-27 00:50 EDT (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 05:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-11 11:38:37 EST
A flaw was found in in the Linux kernel's USB device management code which could cause a crash when a device which required cypress_m8 driver.  The kernel would panic causing null pointer dereference.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1283368
Comment 1 Adam Mariš 2016-03-11 11:39:00 EST
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)
Comment 2 Adam Mariš 2016-03-11 12:04:08 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317010]
Comment 3 Adam Mariš 2016-03-14 05:59:41 EDT
Public via:

http://seclists.org/bugtraq/2016/Mar/55

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q1/604

http://seclists.org/oss-sec/2016/q1/621
Comment 4 Josh Boyer 2016-03-16 09:35:55 EDT
(In reply to Adam Mariš from comment #0)
> Kernel crash occurs when presented a buggy USB device which requires cdc_acm
> driver, causing null pointer dereference.
> 
> Product bug:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1283368

The initial comment calls out cdc_acm, but this bug is for the cypress_m8 driver as the bug Summary states.  The cdc_acm issue is traced in bug 1316204.  Just pointing this out in case anyone reads this later and gets confused.
Comment 7 Vladis Dronov 2016-03-18 05:52:40 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.
Comment 8 Fedora Update System 2016-04-01 20:42:36 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-02 11:50:24 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-08 11:53:40 EDT
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-04-08 16:21:25 EDT
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.